The internal unique identifier for the control
- Upload a document to a control.
FloQast External API (1.0.0)
Requests to FloQast's API must be authenticated using an API key. The API key must be included in the x-api-key header of each request and can be generated in the FloQast application. The key should also have the correct permissions to access the API endpoints you are using. Directions to generate an API key
- https://fq-api.floqast.app/api/v1/controls/{id}/upload-url/{period}
- https://fq-api.eu.floqast.app/api/v1/controls/{id}/upload-url/{period}
- https://fq-api.au.floqast.app/api/v1/controls/{id}/upload-url/{period}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://fq-api.floqast.app/api/v1/controls/61d325c84a9f97631731a690/upload-url/{period}' \
-H 'x-api-key: YOUR_API_KEY_HERE'{ "data": { "uploadUrl": "https://production-large-payload-store.s3.us-west-2.amazonaws.com/a1b2c3d4-e5f6-7890-abcd-ef1234567890?...", "fileKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890" } }
Request
Uploads a file to the user's storage provider from S3 after the user has uploaded the file to S3 using the presigned URL from GET /controls/{id}/upload-url/{period}. The file will be associated with the specified control and period.
Document upload information including file details and target period
S3 key of the uploaded file. This is returned from the GET /controls/{id}/upload-url/{period} endpoint
- https://fq-api.floqast.app/api/v1/controls/{id}/documents
- https://fq-api.eu.floqast.app/api/v1/controls/{id}/documents
- https://fq-api.au.floqast.app/api/v1/controls/{id}/documents
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://fq-api.floqast.app/api/v1/controls/61d325c84a9f97631731a690/documents \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-d '{
"fileName": "uploaded-using-api-prod.xlsx",
"fileKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"period": {
"month": "january",
"year": "2020"
}
}'Request
Locks or unlocks a specific period of a control. When locked, the control period cannot be modified. This endpoint also locks associated review notes and files (except for Egnyte storage).
Request body specifying whether to lock or unlock the control period
- https://fq-api.floqast.app/api/v1/controls/{id}/lock/{period}
- https://fq-api.eu.floqast.app/api/v1/controls/{id}/lock/{period}
- https://fq-api.au.floqast.app/api/v1/controls/{id}/lock/{period}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
https://fq-api.floqast.app/api/v1/controls/61d325c84a9f97631731a690/lock/january-2025 \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-d '{
"setIsLocked": true
}'